Bug 85070 - print system is unable to print pages with cyrillic generated by mozilla
print system is unable to print pages with cyrillic generated by mozilla
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
5
All Linux
high Severity high
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
: i18n, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-25 05:42 EST by Leonid Kanter
Modified: 2007-11-30 17:10 EST (History)
6 users (show)

See Also:
Fixed In Version: firefox-1.5.0.9-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-31 16:27:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
mozilla.ps.bz2 (392.74 KB, application/octet-stream)
2003-02-25 06:31 EST, Leonid Kanter
no flags Details
printconf-tui --Xexport ouput (1.95 KB, text/plain)
2003-02-25 06:35 EST, Leonid Kanter
no flags Details
Postscript file of the mozilla. (3.63 MB, application/postscript)
2006-09-01 06:55 EDT, Satyabrata Maitra
no flags Details

  None (edit)
Description Leonid Kanter 2003-02-25 05:42:04 EST
Description of problem:

If you open web page with cyrillic in mozilla (http://www.gazeta.ru for example)
and try to print it, there will be white space in place of cyrillic text. 

Version-Release number of selected component (if applicable):

0.6.47-1

How reproducible:

always

Steps to Reproduce:
1. configure printer (my printer is hp 1200)
2. open any web page with cyrillic text (http://www.gazeta.ru)
3. send this page to printer and then to postscript file (mozilla.ps)
4. open postcript file in viewer (gv, kghostview) and compare it with printed paper.
    
Actual results:

In viewer postscript page is very close to mozilla window, but on paper there is
no cyrillic charaxters at all. 

Expected results:

pages on paper and in viewer must be the same.

Additional info:

Tested with cups
Comment 1 Tim Waugh 2003-02-25 05:44:15 EST
Please attach mozilla.ps and output of 'locale' and 'printconf-tui --Xexport'.
Comment 2 Leonid Kanter 2003-02-25 06:31:52 EST
Created attachment 90345 [details]
mozilla.ps.bz2
Comment 3 Leonid Kanter 2003-02-25 06:35:23 EST
Created attachment 90346 [details]
printconf-tui --Xexport ouput
Comment 4 Leonid Kanter 2003-02-25 06:38:40 EST
locale output:

[root@omnibook root]# locale
LANG=ru_RU.UTF-8
LC_CTYPE="ru_RU.UTF-8"
LC_NUMERIC="ru_RU.UTF-8"
LC_TIME="ru_RU.UTF-8"
LC_COLLATE="ru_RU.UTF-8"
LC_MONETARY="ru_RU.UTF-8"
LC_MESSAGES="ru_RU.UTF-8"
LC_PAPER="ru_RU.UTF-8"
LC_NAME="ru_RU.UTF-8"
LC_ADDRESS="ru_RU.UTF-8"
LC_TELEPHONE="ru_RU.UTF-8"
LC_MEASUREMENT="ru_RU.UTF-8"
LC_IDENTIFICATION="ru_RU.UTF-8"
LC_ALL=
Comment 5 Leonid Kanter 2003-02-25 06:43:00 EST
Looks like the problem is in filter locale. In printconf-gui filter locale is
set to C and in drop-down list there are only C and CJK locales. If filter
locale is set to C it mean that printing is broken not only for cyrillic, but
also for all non-US-ASCII and non-CJK charsets. By default filter locale must be
the same like LANG in /etc/sysconfig/i18n.
Comment 6 Tim Waugh 2003-02-25 06:48:37 EST
I'm pretty sure that isn't the cause of the problem; you have a PS printer and
so the PostScript is just sent straight to it.

Does the problem go away if you turn on ghostscript pre-filtering?
Comment 7 Leonid Kanter 2003-02-25 07:25:25 EST
Yes, I turned ghostscript renderer and prefiltering on and problem disappear,
but fonts are slightly broken. With lj5gray driver printed page quality is much
better. I never used this printer like PS-capable printer and it was always
configured as PCL5 printer before.
Comment 8 Leonid Kanter 2003-02-25 10:00:36 EST
Plain text printing doesn't work. I tried to print russian text in utf-8
encoding and got raw utf on paper.
Comment 9 Tim Waugh 2003-02-25 10:44:16 EST
That (Russian plain UTF-8 text) is certainly a separate issue, one that *does*
relate to filter_locale, and I would very much appreciate a separate bug entry
to track it with.  As it is we currently have two issues in this report:

a) Is 'PostScript' appropriate as the default driver for this printer, or should
it be lj5gray?

b) Should mozilla.ps be embedding the font, if it isn't already?  In other
words, when the PostScript is sent directly to the printer why doesn't it print?
Comment 10 Leonid Kanter 2003-02-25 11:46:22 EST
I've just tried to print the same page with cyrillic text and pictures with
lj5gray driver and Postscript driver (with and without prefiltering). With
Postscript driver quality of pictures is _very_ poor (dots are bigger, like in
old newspapers). Looks like ghostscript's interpreter is much better than
printer's built-in interpreter. I can scan both printed pages and attach by
request. Looks like PS support in cheap HP SOHO printers like lj1100 or lj1200
was added for advertisement purposes only.

In addition, there is third-party software that may not be fixed for using
embedded fonts (like commercial netscape-7.01 for example).

So for 1100 series and 1200 series lj5gray driver is preferred.
Comment 11 Leonid Kanter 2003-02-25 12:11:31 EST
I've just attached this printer to WinXP box and it was configured automagically
as "HP LaserJet 1200 Series PCL". So PCL is preferred even in Windows.
Comment 12 Tim Waugh 2003-02-25 12:13:14 EST
(This default comes from foomatic.  Changing component.)
Comment 13 Aleksey Nogin 2003-02-27 01:25:24 EST
> Is 'PostScript' appropriate as the default driver for this printer, or should
> it be lj5gray?

I have the same printer and I did some testing yesterday. PostSript indeed
produces some relatively poor quality output. But the lj5gray is extremely slow
(on the order of 2 minutes per page to send the page to a printer over USB via
an external USB v1 hub). I also tried the 'hpijs' driver and it seems to be the
best choice - the quality is noticibly better than PostScript (and in some
aspects even better than lj5gray) and it's almost as fast as PostScript.

> b) Should mozilla be embedding the font ...

Definitely. In any case, that part of the problem definitely belongs upstream
and I am pretty sure that there is already something about it in
http://bugzilla.mozilla.org/

> if it isn't already?

Here is the thing - Mozilla has two printing modes - direct PostScript and Xprt.
As far as I was told, the Xprt would do the right thing wrt the fonts and it
seems that most of the Mozilla team development effort is goint into the Xprt
(which sort of explains why the PostScript one has troubles with fonts). This
adds another question to the list:

c) Should Mozilla in RedHat be set up to use Xprt by default?
Comment 14 Tim Waugh 2003-03-05 12:03:02 EST
The foomatic part of this bug is now in bug #85657.

As for the mozilla bits.. changing component and reassigning. :-)
Comment 15 Bill Nottingham 2006-08-05 01:17:55 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 16 Satyabrata Maitra 2006-08-31 05:48:28 EDT
This Problem is not fixed in Latest Rawhide still!! mozilla is printing some
junck characters in printing. and in Postscript file its showing ok. If any
other info require, pls inform.

** Did testing with Cyrillic Character encoding.
Comment 17 Tim Waugh 2006-09-01 05:36:24 EDT
Could you provide the PostScript file please?
Comment 18 Satyabrata Maitra 2006-09-01 06:55:45 EDT
Created attachment 135369 [details]
Postscript file of the mozilla.
Comment 19 Bill Nottingham 2006-10-18 14:29:37 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.
Comment 20 Tim Waugh 2006-10-19 05:33:10 EDT
Re-opening: comment #16 shows that this was still broken after FC5 release.
Comment 21 Christopher Aillon 2006-10-19 09:34:52 EDT
%%Creator: Mozilla PostScript module (rv:1.7.13/2006050116)

Mozilla is no longer supported, and fixes are not likely to happen for it.  Does
this still occur with Firefox which uses a much newer ps module?  If so, please
move to firefox.  Behdad is doing some pango printing work, which might impact this.
Comment 22 Eugene Kanter 2006-10-22 11:47:14 EDT
I just tried to print using firefox to generic PCL5 printer. No errors encountered.
Comment 23 Matěj Cepl 2007-01-31 16:27:07 EST
I cannot reproduce it with firefox-1.5.0.9-1.fc6.

Note You need to log in before you can comment on or make changes to this bug.